You'll need the Sun JDK, Eclipse and JBoss AOP to run these examples.

JDK

These examples require JDK 1.5.0 or later. They were written using JDK 1.5.0_06. I installed this using the defaults, so it is in C:\Program Files\Java\jdk1.5.0_06.

Download the Sun JDK from here and install it.

Eclipse

These examples require Eclipse 3.x. They were written using Eclipse 3.1. You can install Eclipse anywhere you wish, for these examples I installed Eclipse in c:\aop, which created c:\aop\eclipse.

Download Eclipse from here and install it.

JBoss AOP

These examples require JBoss AOP 1.5.0. They were originally written using 1.3.4 with custom patches until 1.5.0GA became available. For these examples, I unzipped the download into c:\aop, which created c:\aop\jboss-aop_1.5.0.GA.

Download JBoss AOP from here.

Eclipse Configuration for JBoss AOP

The following additional configuration sets will set your Eclipse configuration up the way I've set it up for all of these examples. You can click on individual links or just follow the Next--> link below:

Eclipse Project JAR Files


Using Provided Source Code in ZIP Files


On to the examples


<--Back Next-->